Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb.plugins
Class MetricsInterceptor

    java.lang.Object
      org.jboss.ejb.plugins.AbstractInterceptor
          org.jboss.ejb.plugins.MetricsInterceptor

All Implemented Interfaces:
  AllowedOperationsFlags, ContainerPlugin, Interceptor, MetricsConstants, org.jboss.system.Service

public class MetricsInterceptor
extends AbstractInterceptor
implements MetricsConstants

MetricsInterceptor collects data from the bean invocation call and publishes them on a JMS topic (bound to `topic/metrics` in the name service).

Since:
  jBoss 2.0
Author:
  Juha Lindfors

Field Summary

Fields inherited from class org.jboss.ejb.plugins.AbstractInterceptor
`container, log, nextInterceptor`

Fields inherited from interface org.jboss.monitor.MetricsConstants
`ACTIVITY, APPLICATION, BEAN, BEANCACHE_METRICS, CHECKPOINT, INVOCATION_METRICS, MEMORY_MONITOR, METHOD, PRIMARY_KEY, SYSTEM_METRICS, THREAD_MONITOR, TIME, TYPE`

Fields inherited from interface org.jboss.ejb.AllowedOperationsFlags
`IN_AFTER_BEGIN, IN_AFTER_COMPLETION, IN_BEFORE_COMPLETION, IN_BUSINESS_METHOD, IN_EJB_ACTIVATE, IN_EJB_CREATE, IN_EJB_FIND, IN_EJB_HOME, IN_EJB_LOAD, IN_EJB_PASSIVATE, IN_EJB_POST_CREATE, IN_EJB_REMOVE, IN_EJB_STORE, IN_EJB_TIMEOUT, IN_INTERCEPTOR_METHOD, IN_SERVICE_ENDPOINT_METHOD, IN_SET_ENTITY_CONTEXT, IN_SET_MESSAGE_DRIVEN_CONTEXT, IN_SET_SESSION_CONTEXT, IN_UNSET_ENTITY_CONTEXT, NOT_ALLOWED`

Constructor Summary
`MetricsInterceptor()`

Method Summary
`void` | `create()` Starts the JMS publisher thread.
`void` | `destroy()` Kills the publisher thread.
`Object` | `invoke(Invocation mi)` ???
`Object` | `invokeHome(Invocation mi)` ???
`void` | `resetStatistic()`
`Map` | `retrieveStatistic()`
`void` | `sample(Object s)`
`void` | `setContainer(Container container)` Stores the container reference and the application and bean JNDI names.

Methods inherited from class org.jboss.ejb.plugins.AbstractInterceptor
`getContainer, getNext, setNext, start, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MetricsInterceptor

    public MetricsInterceptor()

Method Detail

### setContainer

    public void setContainer(Container container)

  Stores the container reference and the application and bean JNDI names.

  Specified by:
    `setContainer` in interface `ContainerPlugin`
  Overrides:
    `setContainer` in class `AbstractInterceptor`
  Parameters:
    `container` - set by the container initialization code

### invokeHome

    public Object invokeHome(Invocation mi)
                      throws Exception

  Description copied from interface: `Interceptor`
  ???

  Specified by:
    `invokeHome` in interface `Interceptor`
  Overrides:
    `invokeHome` in class `AbstractInterceptor`
  Throws:
    `Exception`

### invoke

    public Object invoke(Invocation mi)
                  throws Exception

  Description copied from interface: `Interceptor`
  ???

  Specified by:
    `invoke` in interface `Interceptor`
  Overrides:
    `invoke` in class `AbstractInterceptor`
  Throws:
    `Exception`

### create

    public void create()

  Starts the JMS publisher thread.

  Specified by:
    `create` in interface `org.jboss.system.Service`
  Overrides:
    `create` in class `AbstractInterceptor`

### destroy

    public void destroy()

  Kills the publisher thread.

  Specified by:
    `destroy` in interface `org.jboss.system.Service`
  Overrides:
    `destroy` in class `AbstractInterceptor`

### sample

    public void sample(Object s)

### retrieveStatistic

    public Map retrieveStatistic()

### resetStatistic

    public void resetStatistic()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.